{% extends 'base.html' %}

{% load staticfiles %}

{% load crispy_forms_tags %}

{% block titulo %}
   Registro
{% endblock titulo %}


{% block conteudo %}


<div class="container">


    <div class="row justify-content-center">

         <aside class="col-sm-5">

            <div class="card">

                <article class="card-body">

                    <h5 class="card-title text-center mb-4 mt-1">Faça seu registro</h5>
                    <hr>
                    <p class="text-success text-center">Preencha os dados abaixo para criar sua conta.</p>

                    <!-- Serve para exibir uma mensagem para o usuário -->
                    {% if messages %}
                    <div class="group">
                        <div class="alert alert-info text-center" role="alert">
                            {% for message in messages %}
                            {{ message }}
                            {% endfor %}
                        </div>
                    </div>
                    {% endif %}
                    <!-- FIM mensagem -->


                    <form class="form-signin" method="post" novalidate>

                        {% csrf_token %}

                          <div class="form-row">
                            <div class="form-group col-md-6">
                                 {{ form.first_name|as_crispy_field }}
                            </div>
                            <div class="form-group col-md-6">
                                {{ form.last_name|as_crispy_field }}
                            </div>
                        </div>

                        <div class="form-group">
                            {{ form.email|as_crispy_field }}
                        </div>
                        
                        <div class="form-group">
                            {{ form.username|as_crispy_field }}
                        </div> 

                        <div class="form-group">
                          {{ form.password|as_crispy_field }}
                        </div>


                        <button type="submit" class="btn btn-lg btn-warning-login btn-block">Criar minha conta</button>

                    </form>

                </article>

            </div> <!-- card.// -->

        </aside> <!-- col.// -->

    </div> <!-- row.// -->

</div>
<!--container end.//-->

<br/>
<br/>


{% endblock conteudo%}

